Page MenuHomePhabricator

Revert "efl_ui_layout: call efl_del instead of efl_unref when text part does not exist"
ClosedPublic

Authored by cedric on Mar 20 2019, 11:36 AM.

Details

Summary

This reverts commit cced5487c83c8f75e2ca40969f5749d5e6570228.

This patch was pushed just to silence warning without fixing the problem and doing
something that was incorrect (coupling an efl_del with an efl_ref).

Depends on D8358

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 20 2019, 11:36 AM
cedric requested review of this revision.Mar 20 2019, 11:36 AM
bu5hm4n accepted this revision.Mar 21 2019, 2:37 AM
This revision is now accepted and ready to land.Mar 21 2019, 2:37 AM
cedric updated this revision to Diff 20885.Mar 22 2019, 11:27 AM
cedric edited the summary of this revision. (Show Details)
cedric added a reviewer: stefan_schmidt.

Rebase.

cedric updated this revision to Diff 21000.Mar 27 2019, 2:34 PM

Rebase.

This revision was automatically updated to reflect the committed changes.